Bug 1252463 - ironic-inspector is not registered as a service in Keystone
ironic-inspector is not registered as a service in Keystone
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity unspecified
: ---
: 10.0 (Newton)
Assigned To: Dmitry Tantsur
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 09:38 EDT by Tzu-Mainn Chen
Modified: 2016-10-04 12:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-04 12:56:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tzu-Mainn Chen 2015-08-11 09:38:25 EDT
Description of problem:

Although ironic-discoverd has an API, it is not registered in Keystone.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install undercloud
2. keystone endpoint-list or keystone catalog does not include ironic-discoverd
3.

Actual results:

ironic-discoverd API endpoint is not registered in keystone

Expected results:

ironic-discoverd API endpoint is registered in keystone

Additional info:
Comment 5 Mike Burns 2016-04-07 16:47:27 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 8 Dmitry Tantsur 2016-10-04 12:56:12 EDT
Fixed long ago (and our workflows would not work without it)

Note You need to log in before you can comment on or make changes to this bug.